package com.bonus.system.att.service;

import com.bonus.system.api.domain.MapVo;
import com.bonus.system.att.entity.AttGroupBean;
import com.bonus.system.att.entity.OrgChangeBean;
import com.bonus.system.basic.domain.SysTree;

import java.util.List;

/**
 * 考勤组-业务层
 * @author zys
 */
public interface OrgChangeService {

    /**
     * 获取考勤组列表
     * @param bean 参数
     * @return list bean
     */
    List<OrgChangeBean> selectOrgChangeList(OrgChangeBean bean);


    /**
     * 删除考勤组
     * @param groupId 考勤组编号
     * @return 1|0
     */
    int deleteAttGroup(Long groupId);

    /**
     * 新增考勤组
     * @param bean 参数
     * @return 1|0
     */
    int insertOrgChange(OrgChangeBean bean);

    /**
     * 根据考勤组编号获取详细信息
     * @param groupId 考勤组编号
     * @return bean
     */
    OrgChangeBean selectOrgChangeById(Long groupId);

    /**
     * 修改组织架构
     * @param bean 参数
     * @return 1|0
     */
    int updateOrgChange(OrgChangeBean bean);

    /**
     * 提交/撤回 审核
     * @param o
     * @return
     */
    int orgChangeCheck(OrgChangeBean o);

    List<MapVo> getAttGroupList();

    void updateOrgByUserId(OrgChangeBean item);

    void updateAttGroupByUserId(OrgChangeBean item);

    void updateOrgChangeIsApply(OrgChangeBean item);
}
